Groovy 1.7.0

## org.codehaus.groovy.tools.groovydoc
Class GroovyDocTool

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.GroovyDocTool

    class GroovyDocTool
    extends Object

author:
  Jeremy Rayner

Constructor Summary
`GroovyDocTool(String[] sourcepaths)` Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
`GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String classTemplate)`
`GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List links, Properties properties)`

Method Summary
`void` | `add(List filenames)`
`String` | `getFile(String filename)`
`String` | `getPath(String filename)`
`GroovyRootDoc` | `getRootDoc()`
`void` | `renderToOutput(OutputTool output, String destdir)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GroovyDocTool

    public GroovyDocTool(String[] sourcepaths)

  Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
  param:
    sourcepaths where the sources to be added can be found

### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String classTemplate)

### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List links, Properties properties)

Method Detail

### add

    public void add(List filenames)

### getFile

    public String getFile(String filename)

### getPath

    public String getPath(String filename)

### getRootDoc

    public GroovyRootDoc getRootDoc()

### renderToOutput

    public void renderToOutput(OutputTool output, String destdir)

Copyright © 2003-2009 The Codehaus. All rights reserved.